Subject: bug#69004: Cannot open lzip-compressed info manuals

From: Francesco Turco <[email-masked]>
Date: Fri, 09 Feb 2024 16:49:59 +0000

Hello.

I'm using GNU Emacs 29.2 on a Gentoo Linux system.

On this system, all info manuals are compressed with lzip and have a .lz
suffix.

When running M-x info and opening any info manual (e.g. the info manual
for bash), I get error messages similar to the following one:

> Info file `bash' does not exist; consider installing it

In reality the info manual for bash is available on my system:

$ file /usr/share/info/bash.info.lz 
/usr/share/info/bash.info.lz: lzip compressed data, version: 1

In info.el source code there is no instance of either "lzip" or "lz".
In particular, there is no lzip-related entry in the Info-suffix-list
variable definition.

In my opinion it would be nice to add support for lzip-compressed info
manuals to M-x info.